//
//  BaseCollectionViewController.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 17/02/16.
//  Copyright © 2016 MENDELU. All rights reserved.
//

import Foundation
import UIKit

protocol BaseCollectionViewControllerDelegate{
    func didChangeData()
}

class BaseCollectionViewController: UICollectionViewController, SyncBeginControllerDelegate, BaseCollectionViewControllerDelegate{
    
    var baseActions: BaseControllerActions? = nil
    var defaultDelegate: BaseTableViewControllerDelegate? = nil
    
    override func viewDidLoad() {
        baseActions = BaseControllerActions(controller: self as UIViewController)
    }
    
    override func viewWillAppear(animated: Bool) {
        baseActions?.checkUserChange()
    }
    
    func getSegueTarget(segue: UIStoryboardSegue)->UIViewController{
        let first = segue.destinationViewController as UIViewController
        if(first is UINavigationController){
            let navigationController = first as! UINavigationController
            return navigationController.viewControllers[0] as UIViewController
        }else{
            return first
        }
    }
    
    func didChangeData() {
        // abstract
    }
    
    // MARK: - Proxy functions
    
    func dismissView(){
        baseActions!.dismissView()
    }
    
    func setTitleText(title: String){
        baseActions?.setTitleText(title)
    }
    
    
    //MARK: - SyncBeginControllerDelegate
    
    func syncBeginSuccessful() {
        dismissView()
    }
    
    func badLogin(ctrl: SyncBeginController){
        debug("bad login from basecollectionviewctrl")
        SyncQueue.getInstance().badLogin(ctrl)
    }
}