//
//  BaseTableViewController.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 9/14/15.
//  Copyright (c) 2015 MENDELU. All rights reserved.
//

import Foundation
import UIKit

protocol BaseTableViewControllerDelegate{
    func didChangeData()
}

class BaseTableViewController: UITableViewController, BaseTableViewControllerDelegate, SyncBeginControllerDelegate{
    
    var baseActions: BaseControllerActions? = nil
    var defaultDelegate: BaseTableViewControllerDelegate? = nil
    
    override func viewDidLoad() {
        baseActions = BaseControllerActions(controller: self as UIViewController)
    }
    
    override func viewWillAppear(animated: Bool) {
        baseActions?.checkUserChange()
    }
    
    func didChangeData() {
        // abstract
    }
    
    func passDefaultDelegate(segue: UIStoryboardSegue){
        let target = baseActions!.getSegueTarget(segue) as! BaseTableViewController
        target.defaultDelegate = self
    }
    
    // MARK: - Proxy functions
    
    func dismissView(){
        baseActions!.dismissView()
    }
    
    func setTitleText(title: String){
        baseActions?.setTitleText(title)
    }
    
    
    //MARK: - SyncBeginControllerDelegate
    
    func syncBeginSuccessful() {
        dismissView()
    }
    
    func badLogin(ctrl: SyncBeginController){
        debug("bad login from basetblviewctrl")
        SyncQueue.getInstance().badLogin(ctrl)
    }
}