//
//  CreateByWalkOptions.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 18/01/16.
//  Copyright © 2016 MENDELU. All rights reserved.
//

import Foundation
import UIKit

protocol CreateByWalkOptionsDelegate{
    func startAutomaticMeasurement(period: Int)
}

class CreateByWalkOptions: UIViewController{
    
    var delegate: CreateByWalkOptionsDelegate? = nil
    
    @IBOutlet weak var slider: UISlider!
    @IBOutlet weak var periodText: UILabel!
    
    
    @IBAction func valueChanged(sender: AnyObject) {
        periodText.text = String(Int(slider.value))
    }
    
    @IBAction func startClick(sender: AnyObject) {
        delegate?.startAutomaticMeasurement(Int(slider.value))
        dismissViewControllerAnimated(true, completion: nil)
    }
    
    @IBAction func cancelClick(sender: AnyObject) {
        dismissViewControllerAnimated(true, completion: nil)
    }
}
