//
//  Feature.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 1/11/16.
//  Copyright (c) 2016 MENDELU. All rights reserved.
//

import Foundation
import CoreData

@objc(Feature)
class Feature: Model, ModelProtocol {

    override class func getEntityName() -> String {
        return "Feature"
    }
    override func getEntityName() -> String {
        return "Feature"
    }
    
    @NSManaged var name: String
    @NSManaged var localName: String
    @NSManaged var hashString: String
    @NSManaged var created: NSDate
    @NSManaged var lastEdit: NSDate
    @NSManaged var precision: Double
    @NSManaged var hasPicture: Bool
    @NSManaged var hidden: Bool
    @NSManaged var geometry: String
    @NSManaged var bbox: String
    @NSManaged var type: String
    @NSManaged var mergeFlag: Int64
    
    @NSManaged var attributes: NSSet
    @NSManaged var layer: Layer
    @NSManaged var picture: FeaturePicture?
    
    /**
     Update hasPicture property according to existance of related FeaturePicture object.
     
     - parameter key: Changed property key.
     */
    override func didChangeValueForKey(key: String) {
        if(key == "picture"){
            hasPicture = picture != nil
        }
        super.didChangeValueForKey(key)
    }
    
    /**
     Sets a local identifier for new object.
     */
    override func awakeFromInsert() {
        let dateFormatter = NSDateFormatter()
        dateFormatter.dateFormat = "yyyyMMddA"
        localName = dateFormatter.stringFromDate(NSDate())
        super.awakeFromInsert()
    }
}
