//
//  FeatureAttributeDataMapping.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 22/01/16.
//  Copyright © 2016 MENDELU. All rights reserved.
//

import Foundation
import CoreData

class FeatureAttributeDataMapping: DataMapping{
    override func convertToJSON(item: NSManagedObject, key: String, object: AnyObject) -> AnyObject? {
        // FeatureAttribute's value is stored always as string, but if attribute's type is number we need to convert it before sending to the server.
        if(key == "value" || key == "valueString"){
            let featureAttribute = item as! FeatureAttribute
            if(featureAttribute.layerattribute.kind == AttributeKinds.number){
                if let number = Double(object as! String){
                    return number
                }else{
                    return 0
                }
            }else{
                return object as? String
            }
        }else{
            return super.convertToJSON(item, key: key, object: object)
        }
    }
}
