//
//  FeatureImageCell.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 21/01/16.
//  Copyright © 2016 MENDELU. All rights reserved.
//

import Foundation
import UIKit

protocol FeatureImageCellDelegate{
    func addImageClick(sender: UIButton)
    func downloadImageClick(sender: UIButton)
    func imageClick(sender: UIButton)
}

class FeatureImageCell: UITableViewCell{
    
    var delegate: FeatureImageCellDelegate? = nil
    
    @IBOutlet weak var mainImageView: UIImageView!
    
    @IBOutlet weak var coverImageButton: UIButton!
    
    @IBOutlet weak var downloadButton: UIButton!
    
    @IBOutlet weak var addImageButton: UIButton!
    
    @IBAction func addImageClick(sender: AnyObject) {
        delegate?.addImageClick(sender as! UIButton)
    }
    
    @IBAction func downloadButtonClick(sender: AnyObject) {
        delegate?.downloadImageClick(sender as! UIButton)
    }
    
    @IBAction func imageClick(sender: AnyObject) {
        delegate?.imageClick(sender as! UIButton)
    }
}