//
//  PokusMGSplit.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 1/12/16.
//  Copyright (c) 2016 MENDELU. All rights reserved.
//

import Foundation
import UIKit

/// Displays Layer Detail and Layer Attributes side by side (used on larger screens).
class LayerDetailWithAttributtesController: UIViewController{
    
    var layer: Layer? = nil
    var project: Project? = nil
    var layerInProject: LayerInProject? = nil
    
    var storage: LayerStorage? = nil
    var layerInProjectStorage: LayerInProjectStorage? = nil
    var layerAttributeStorage: LayerAttributeStorage? = nil
    
    var layerDetailController: LayerDetailController? = nil
    var layerAttributesController: LayerAttributesController? = nil
    
    var tempLayerAttributesManager: TempLayerAttributesManager? = nil
    
    var delegate: LayerDeatilControllerDelegate? = nil
    
    @IBOutlet weak var layerDetailsContainer: UIView!
    @IBOutlet weak var attributesContainer: UIView!
    
    // ipad contraints
    @IBOutlet weak var layerBottomContraint: NSLayoutConstraint!
    @IBOutlet weak var layerAttributesHorizontalSpacing: NSLayoutConstraint!
    @IBOutlet weak var attributesTop: NSLayoutConstraint!
    
    // iphone contraints
    @IBOutlet weak var layerDetailRight: NSLayoutConstraint!
    @IBOutlet weak var attributesLeft: NSLayoutConstraint!
    @IBOutlet weak var layerAttributesVerticalSpacing: NSLayoutConstraint!
    
    // set title text
    override func viewDidLoad() {
        super.viewDidLoad()
        if(layer == nil){
            navigationController?.navigationBar.topItem?.title = l("Add layer");
        }else{
            navigationController?.navigationBar.topItem?.title = l("Edit layer");
        }
    }
    
    // pass references to both controllers
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        if(segue.identifier == "attributes"){
            let nav = segue.destinationViewController as? UINavigationController
            let target = nav?.childViewControllers[0] as? LayerAttributesController
            layerAttributesController = target
            target?.storage = layerAttributeStorage
            target?.layer = layer
            target?.tempLayerAttributesManager = tempLayerAttributesManager
            target?.navigationController?.navigationBarHidden = true
        }else if(segue.identifier == "layer-detail"){
            let nav = segue.destinationViewController as? UINavigationController
            let target = nav?.childViewControllers[0] as? LayerDetailController
            layerDetailController = target
            target?.storage = storage
            target?.layerInProjectStorage = layerInProjectStorage
            target?.layerAttributeStorage = layerAttributeStorage
            target?.project = project
            target?.layer = layer
            target?.layerInProject = layerInProject
            target?.tempLayerAttributesManager = tempLayerAttributesManager
            target?.delegate = delegate
        }
    }
    
    // proxy actions
    @IBAction func saveClick(sender: AnyObject) {
        layerDetailController?.saveClick(sender)
    }
    
    @IBAction func cancelClick(sender: AnyObject) {
        dismissViewControllerAnimated(true, completion: nil)
    }
    
    override func viewDidLayoutSubviews() {
        if(isIPad()){
            
        }else{
            
        }
    }
    
}
