//
//  File.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 9/11/15.
//  Copyright (c) 2015 MENDELU. All rights reserved.
//

import Foundation
import CoreData

class PeriodicSync{
    
    var timer: NSTimer? = nil
    let sync: SyncQueue
    var opennedProject: Project? = nil
    
    init(managedObjectContext: NSManagedObjectContext){
        sync = SyncQueue.getInstance(managedObjectContext)
    }
    
    func start(){
        let interval = NSTimeInterval(Settings.syncInterval)
        timer = NSTimer.scheduledTimerWithTimeInterval(interval, target: self, selector: "timerDidFire", userInfo: nil, repeats: true)
    }
    
    @objc func timerDidFire(){
        let now = NSDate()
        let dateString = NSDateFormatter().stringFromDate(now)
        NSLog("sync timer fired! " + dateString)
        sync.checkServerUpdates = true
        sync.processQueue()
    }
    
    func stop(){
        timer?.invalidate()
    }
}
