//
//  Map.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 9/10/15.
//  Copyright (c) 2015 MENDELU. All rights reserved.
//

import Foundation
import CoreData
import UIKit

@objc(Project)
class Project: Model, ModelProtocol {
    
    override class func getEntityName() -> String {
        return "Project"
    }
    override func getEntityName() -> String {
        return "Project"
    }
    
    @NSManaged var name: String
    @NSManaged var scheme: String
    @NSManaged var title: String
    @NSManaged var descriptionString: String
    @NSManaged var hashString: String
    @NSManaged var publicBool: Bool
    @NSManaged var hidden: Bool
    @NSManaged var lastLatitude: Double
    @NSManaged var lastLongitude: Double
    @NSManaged var lastZoomLevel: Float
    @NSManaged var previewImageData: NSData?
    @NSManaged var mergeFlag: Int64
    
    @NSManaged var layers: NSSet
    
    var previewImage: UIImage?{
        get{
            if(previewImageData == nil){
                return nil
            }else{
                return UIImage(data: previewImageData!)
            }
        }
        set(image){
            if(image != nil){
                previewImageData = UIImagePNGRepresentation(image!)
            }
        }
    }
}
