//
//  PokusCell.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 16/02/16.
//  Copyright © 2016 MENDELU. All rights reserved.
//

import Foundation
import UIKit

protocol ProjectCellDelegate{
    func projectOptionsClick(cell: UICollectionViewCell, indexPath: NSIndexPath?)
}

class ProjectCell: UICollectionViewCell{
    
    /// Used for resizing map preview screenshots.
    static let PREVIEW_IMAGE_WIDTH = 400
    static let PREVIEW_IMAGE_HEIGHT = 200
    
    @IBOutlet weak var titleText: UILabel!
    @IBOutlet weak var descriptionText: UILabel!
    @IBOutlet weak var descriptionTextBg: UIView!
    @IBOutlet weak var previewImage: UIImageView!
    
    var indexPath: NSIndexPath? = nil
    var delegate: ProjectCellDelegate? = nil
    
    override func awakeFromNib() {
        // standard background (deselected)
        let bgView: UIView = UIView(frame: self.bounds)
        self.backgroundView = bgView
        self.backgroundView!.backgroundColor = UIColor.whiteColor()
        
        // selected background
        let selectedView: UIView = UIView(frame: self.bounds)
        self.selectedBackgroundView = selectedView
        self.selectedBackgroundView!.backgroundColor = SwipeActionsColors.more
    }
    
    @IBAction func editClick(sender: AnyObject) {
        delegate?.projectOptionsClick(self, indexPath: indexPath)
    }
}
