//
//  SelectColourController.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 10/1/15.
//  Copyright (c) 2015 MENDELU. All rights reserved.
//

import Foundation
import UIKit

protocol SelectColorControllerDelegate{
    func didSelectColor(color: String)
}

class SelectColorController : UICollectionViewController {
    
    var delegate: SelectColorControllerDelegate? = nil
    
    override func viewDidLoad() {
        super.viewDidLoad()
        collectionView?.backgroundColor = UIColor.whiteColor()
    }
    
    override func collectionView(collectionView: UICollectionView, numberOfItemsInSection section: Int) -> Int {
        return config.markers.colors.count
    }
    
    override func collectionView(collectionView: UICollectionView, cellForItemAtIndexPath indexPath: NSIndexPath) -> UICollectionViewCell {
        let cell = collectionView.dequeueReusableCellWithReuseIdentifier("cell1", forIndexPath: indexPath) as UICollectionViewCell
        let hexColor = config.markers.colors[indexPath.row]
        cell.backgroundColor = UIColor(hexString: hexColor)
        return cell
    }
    
    override func collectionView(collectionView: UICollectionView, didSelectItemAtIndexPath indexPath: NSIndexPath) {
        let color = config.markers.colors[indexPath.row]
        delegate?.didSelectColor(color)
        dismissViewControllerAnimated(true, completion: nil)
    }
    
    @IBAction func cancelClick(sender: AnyObject) {
        dismissViewControllerAnimated(true, completion: nil)
    }
}

