//
//  SelectColourController.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 10/1/15.
//  Copyright (c) 2015 MENDELU. All rights reserved.
//

import Foundation
import UIKit

protocol SelectSymbolControllerDelegate{
    func didSelectSymbol(name: String)
}

class SelectSymbolController : UICollectionViewController {
    
    var delegate: SelectSymbolControllerDelegate? = nil
    
    override func viewDidLoad() {
        super.viewDidLoad()
        collectionView?.backgroundColor = UIColor.whiteColor()
    }
    
    override func collectionView(collectionView: UICollectionView, numberOfItemsInSection section: Int) -> Int {
        return Symbols.getCount()
    }
    
    override func collectionView(collectionView: UICollectionView, cellForItemAtIndexPath indexPath: NSIndexPath) -> UICollectionViewCell {
        let cell = collectionView.dequeueReusableCellWithReuseIdentifier("cell1", forIndexPath: indexPath) as UICollectionViewCell
        
        let imageView = cell.viewWithTag(100) as! UIImageView
        let image = Symbols.getImageAtIndex(indexPath.row, color: UIColor.grayColor())
        if(image != nil){
            imageView.image = image
        }
        
        cell.backgroundColor = UIColor.whiteColor()
        
        return cell
    }
    
    override func collectionView(collectionView: UICollectionView, didSelectItemAtIndexPath indexPath: NSIndexPath) {
        let name = Symbols.getName(indexPath.row)
        delegate?.didSelectSymbol(name)
        dismissViewControllerAnimated(true, completion: nil)
    }
    
    @IBAction func cancelClick(sender: AnyObject) {
        dismissViewControllerAnimated(true, completion: nil)
    }
}
