//
//  StorageFactory.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 9/17/15.
//  Copyright (c) 2015 MENDELU. All rights reserved.
//

import Foundation
import CoreData

class StorageFactory{
    class func createInstance(storageName: String?, managedObjectContext: NSManagedObjectContext)->CentralStorage?{
        if(storageName != nil){
            switch storageName!{
            case "ProjectStorage":
                return ProjectStorage(moc: managedObjectContext)
            case "LayerStorage":
                return LayerStorage(moc: managedObjectContext)
            case "LayerInProjectStorage":
                return LayerInProjectStorage(moc: managedObjectContext)
            case "LayerAttributeStorage":
                return LayerAttributeStorage(moc: managedObjectContext)
            case "FeatureAttributeStorage":
                return FeatureAttributeStorage(moc: managedObjectContext)
            case "FeatureStorage":
                return FeatureStorage(moc: managedObjectContext)
            case "FeaturePictureStorage":
                return FeaturePictureStorage(moc: managedObjectContext)
            case "IncomingEventResolver":
                return IncomingEventResolver(moc: managedObjectContext)
            default:
                NSLog(storageName!+" not implemented in factory!")
            }
        }
        return nil
    }
}
