//
//  Symbols.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 10/6/15.
//  Copyright (c) 2015 MENDELU. All rights reserved.
//

import Foundation
import UIKit

class Symbols {
    
    static let DIR_PREFIX = "markers/"
    static let DEFAULT_WIDTH: CGFloat = 45.0
    static let DEFAULT_HEIGHT: CGFloat = 45.0
    
    class func getCount()->Int{
        return config.markers.symbols.count
    }
    
    class func getName(index: Int)->String{
        let name: String? = config.markers.symbols[index]
        if(name != nil){
            return name!
        }else{
            return config.markers.symbols[0]
        }
    }
    
    class func getFileName(index: Int)->String{
        return DIR_PREFIX + Symbols.getName(index) + "." + config.markers.symbolsExtension
    }
    
    class func getFileName(markerName: String)->String{
        return DIR_PREFIX + markerName + "." + config.markers.symbolsExtension
    }
    
    class func getImageAtIndex(index: Int, color: UIColor)->UIImage?{
        let name = getName(index)
        return Symbols.getImage(name, color: color)
    }
    
    class func getImage(name: String, color: UIColor)->UIImage?{
        if let image = UIImage(named: getFileName(name)){
            let colorizedImage = image.imageWithColor(color, sizeX: DEFAULT_WIDTH, sizeY: DEFAULT_HEIGHT)
            return colorizedImage
        }else{
            warning("Unable to show marker named " + name)
            return UIImage(named: config.markers.symbols[0])
        }
    }
}
