//
//  SyncRequest.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 9/22/15.
//  Copyright (c) 2015 MENDELU. All rights reserved.
//

import Foundation

struct SyncRequestData{
    var event: Event
    var url: String
    var body: NSData?
    
    /**
     Ctr for initializating a new server request data.
     
     - parameter method: HTTP request method according to struct HTTPMethod.
     - parameter url:    Target URL as String.
     - parameter body:   HTTP body as NSData?
     */
    init(event: Event, url: String, body: NSData?){
        self.event = event
        self.url = url
        self.body = body
    }
    
    /**
     Ctr for initializating a new server request data using String for body.
     
     - parameter method: HTTP request method according to struct HTTPMethod.
     - parameter url:    Target URL as String.
     - parameter body:   HTTP body as String
     */
    init(event: Event, url: String, bodyString: String){
        let bodyData = ServerRequest.bodyStringToData(bodyString)
        self.init(event: event, url: url, body: bodyData)
    }
}
