//
//  UpdateNotification.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 21/01/16.
//  Copyright © 2016 MENDELU. All rights reserved.
//

import Foundation

protocol UpdateNotificationDelegate{
    func didChangeData()
}

class UpdateNotification: NSObject{
    
    var storagesObservingUpdates: [String] = []
    var delegate: UpdateNotificationDelegate? = nil
    
    init(delegate: UpdateNotificationDelegate){
        self.delegate = delegate
    }
    
    func registerForUpdates(storageTypes: [String]){
        storagesObservingUpdates = storageTypes
        NSNotificationCenter.defaultCenter().addObserver(self, selector: "didChangeData:", name: IncomingEventResolver.NOTIFICATION_NAME, object: nil)
    }
    
    func didChangeData(notification: NSNotification){
        if(notification.name == IncomingEventResolver.NOTIFICATION_NAME && notification.userInfo != nil){
            if let changedTypes = notification.userInfo!["objects"] as? [String]{
                for storageType in storagesObservingUpdates{
                    if changedTypes.count>0 && changedTypes.contains(storageType){
                        delegate?.didChangeData()
                    }
                }
            }
        }
    }
}
