//
//  ViewController.swift
//  Gisella
//
//  Created by Ivo Pisarovic on 9/6/15.
//  Copyright (c) 2015 MENDELU. All rights reserved.
//

import UIKit

protocol WelcomePageControllerDelegate{
    func syncBeginSuccessful()
}

class WelcomePageController: BaseTableViewController, FirstLoginControllerDelegate {

    var delegate:WelcomePageControllerDelegate? = nil
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.

    }
    
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        if(segue.identifier=="firstLogIn"){
            let navigationController = segue.destinationViewController as! UINavigationController
            let target = navigationController.viewControllers[0] as! FirstLoginViewController
            target.delegate = self
        }
    }
    
    override func syncBeginSuccessful() {
        NSLog("syncBeginSuccessful")
        setAsDismissed()
        delegate?.syncBeginSuccessful()
        
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    @IBAction func contactClick(sender: AnyObject) {
        UIApplication.sharedApplication().openURL(NSURL(string: config.contactURL)!)
    }
    
    @IBAction func offlineModeClick(sender: AnyObject) {
        baseActions!.setOfflineMode(true)
        setAsDismissed()
        dismissViewControllerAnimated(true, completion: { () -> Void in
            
        })
    }
    
    private func setAsDismissed(){
        NSUserDefaults.standardUserDefaults().setBool(true, forKey: SettingsConstants.WELCOME_PAGE_DISMISSED)
    }
}

